package com.gh.gamecenter.core.provider

import android.app.Application
import com.alibaba.android.arouter.facade.template.IProvider
import org.json.JSONObject

interface ISensorsProvider : IProvider {
    fun init(application: Application, channel: String)

    fun login(loginId: String)

    fun logout(loginId: String)

    fun setGid(gid: String)

    fun trackEvent(eventName: String, vararg kv: String = arrayOf())

    fun trackEvent(eventName: String, jsonObject: JSONObject)

    fun profileSet(key: String, value: String)
}